--[[
###############################################################################################
#S U P E R - V I L L A I N - ORIGINALLY  By: Failcoder | InkedSV (SUPER VILLAIN)  By: keivamp #
###############################################################################################
LOCALIZED LUA FUNCTIONS
##########################################################
]]--
--[[ GLOBALS ]]--
local _G = _G;
local unpack            = _G.unpack;
local select            = _G.select;
local assert            = _G.assert;
local type              = _G.type;
local error             = _G.error;
local pcall             = _G.pcall;
local print             = _G.print;
local ipairs            = _G.ipairs;
local pairs             = _G.pairs;

local next              = _G.next;
local tostring          = _G.tostring;
local tonumber          = _G.tonumber;
local collectgarbage    = _G.collectgarbage;
local string        = _G.string;
local split         = string.split;
local upper         = string.upper;
local format        = string.format;
local find          = string.find;
local match         = string.match;
local gsub          = string.gsub;
local math 			= _G.math;
local min 			= math.min;
local cos, deg, rad, sin = math.cos, math.deg, math.rad, math.sin;
local random 		= math.random;
local wipe          = _G.wipe;
--BLIZZARD API
local CreateFrame           = _G.CreateFrame;
local InCombatLockdown      = _G.InCombatLockdown;
local GameTooltip           = _G.GameTooltip;
local ReloadUI              = _G.ReloadUI;
local hooksecurefunc        = _G.hooksecurefunc;
local IsAltKeyDown          = _G.IsAltKeyDown;
local IsShiftKeyDown        = _G.IsShiftKeyDown;
local IsControlKeyDown      = _G.IsControlKeyDown;
local IsModifiedClick       = _G.IsModifiedClick;
local PlaySound             = _G.PlaySound;
local PlaySoundFile         = _G.PlaySoundFile;
local PlayMusic             = _G.PlayMusic;
local StopMusic             = _G.StopMusic;
local ToggleFrame           = _G.ToggleFrame;
local ERR_NOT_IN_COMBAT     = _G.ERR_NOT_IN_COMBAT;
local RAID_CLASS_COLORS     = _G.RAID_CLASS_COLORS;
local CUSTOM_CLASS_COLORS   = _G.CUSTOM_CLASS_COLORS;
local SendChatMessage       = _G.SendChatMessage;
local GetSpellLink          = _G.GetSpellLink;
local UnitName              = _G.UnitName;
local UnitClass             = _G.UnitClass;
local UnitIsPlayer          = _G.UnitIsPlayer;
local UnitReaction          = _G.UnitReaction;
local UnitExists            = _G.UnitExists;
local UnitIsUnit            = _G.UnitIsUnit;
local UnitInRaid            = _G.UnitInRaid;
local UnitInParty           = _G.UnitInParty;
local UnitGUID              = _G.UnitGUID;
local UnitIsDead            = _G.UnitIsDead;
local UnitIsGroupLeader     = _G.UnitIsGroupLeader;
local UnitIsGroupAssistant  = _G.UnitIsGroupAssistant;
local IsEveryoneAssistant   = _G.IsEveryoneAssistant;
local GetItemInfo           = _G.GetItemInfo;
local BuyMerchantItem       = _G.BuyMerchantItem;
local GetMerchantItemLink   = _G.GetMerchantItemLink;
local GetMerchantItemMaxStack     = _G.GetMerchantItemMaxStack;
local UnitDetailedThreatSituation = _G.UnitDetailedThreatSituation;
local ipairs, tremove = ipairs, tremove
local IsAddOnLoaded = IsAddOnLoaded
local CreateFrame = CreateFrame
--[[
##########################################################
GET ADDON DATA
##########################################################
]]--
local SV = select(2, ...);
local L = SV.L;
--[[
##########################################################
LOCALS
##########################################################
]]--
local PlayerName = UnitName("player");
function ScaleTalkingHeadFrame()
local scale = 1

	if scale < 0.5 then scale = 0.5
	elseif scale > 2 then scale = 2	end

	local TalkingHeadFrame = _G.TalkingHeadFrame

	TalkingHeadFrame.ignoreFramePositionManager = true
	_G.UIPARENT_MANAGED_FRAME_POSITIONS.TalkingHeadFrame = nil

	local width = TalkingHeadFrame:GetWidth() * scale
	local height = TalkingHeadFrame:GetHeight() * scale
	TalkingHeadFrame.dirtyWidth = width
	TalkingHeadFrame.dirtyHeight = height
	
	
	TalkingHeadFrame:SetScale(scale)
end
local function InitializeTalkingHead()
	local TalkingHeadFrame = _G.TalkingHeadFrame

	--Prevent WoW from moving the frame around
	TalkingHeadFrame.ignoreFramePositionManager = true
	_G.UIPARENT_MANAGED_FRAME_POSITIONS.TalkingHeadFrame = nil

	--Set default position
	TalkingHeadFrame:ClearAllPoints()
	TalkingHeadFrame:Point("BOTTOM", 0, 265)

	SV:NewAnchor(TalkingHeadFrame, L["TalkingHeadFrame"])

	--Iterate through all alert subsystems in order to find the one created for TalkingHeadFrame, and then remove it.
	--We do this to prevent alerts from anchoring to this frame when it is shown.
	for index, alertFrameSubSystem in ipairs(_G.AlertFrame.alertFrameSubSystems) do
		if alertFrameSubSystem.anchorFrame and alertFrameSubSystem.anchorFrame == TalkingHeadFrame then
			tremove(_G.AlertFrame.alertFrameSubSystems, index)
		end
	end
end

function PositionTalkingHead()
	if IsAddOnLoaded("Blizzard_TalkingHeadUI") then
		InitializeTalkingHead()
		ScaleTalkingHeadFrame()
	else --We want the mover to be available immediately, so we load it ourselves
		local f = CreateFrame("Frame")
		f:RegisterEvent("PLAYER_ENTERING_WORLD")
		f:SetScript("OnEvent", function(frame, event)
			frame:UnregisterEvent(event)
			_G.TalkingHead_LoadUI()
			InitializeTalkingHead()
			ScaleTalkingHeadFrame()
		end)
	end
end








	

	-- TalkingHeadFrame:SetParent(SV.Screen)
		-- TalkingHeadFrame:SetPoint('CENTER', UIParent, 'CENTER', 150, -150)
		-- TalkingHeadFrame:SetSize(200, 100)
	-- SV:NewAnchor(TalkingHeadFrame, L["TalkingHeadFrame"])